<p-blockUI [target]="pnl" [blocked]="blockedPanel">
    <i class="pi pi-spin pi-spinner" style="font-size: 3rem"></i>
</p-blockUI>
<div #pnl class="grid">
    <div class="col-12 md:col-6">
        <div class="card">
            <div class="card-title flex justify-content-between align-content-center align-items-center flex-wrap">
                <span class="text-xl mb-4">คิวนัด {{hospital_name}}</span> 
                <i class="pi pi-angle-left" (click)="goBack()"></i>
            </div>
            <div class="card-body">
                <div class="pl-4">
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-ticket"></i> : {{service_type_name}}</span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-calendar"></i> : <b>{{slot_date}}</b></span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-clock"></i> : <b>{{period_name}}</b></span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-user"></i> : {{customer_name}}</span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-phone"></i> : {{customer_tel}}</span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-id-card"></i> : {{cid}}{{passport}}</span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-heart"></i> : {{chronic_detail}}</span>

                    <!-- <span *ngIf="chronic_detail != '' " class="block" style="margin-bottom: 7px;"><i class="pi pi-heart"></i> : {{chronic_detail}}</span> -->
                </div>
                <p-divider>ผู้จองนัด</p-divider>
                <div class="pl-4">
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-user"></i> : {{user_name}}</span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-phone"></i> : {{user_tel}}</span>
                    <span class="block" style="margin-bottom: 7px;"><i class="pi pi-calendar"></i> : {{reserve_date}}</span>
                </div>
                <p-divider>หมายเหตุ</p-divider>
                <div class="pl-4">
                    <span *ngIf="remarks != '' " class="block" style="margin-bottom: 7px;"><i class="pi pi-comment"></i> : {{remarks}}</span>
                    <span class="block p-text-danger" style="margin-bottom: 7px;">*กรุณาบันทึกภาพหน้าจอ (Screen Capture) หน้านี้เพื่อนำไปแสดงต่อเจ้าหน้าที่</span>
                </div>
            </div>
        </div>
    </div>
</div>
